Note: This is a beta release of Red Hat Bugzilla 5.0. The data contained within is a snapshot of the live data so any changes you make will not be reflected in the production Bugzilla. Also email is disabled so feel free to test any aspect of the site that you want. File any problems you find or give feedback here.
Bug 1357943 - Installing python3-dnf-plugins-extras-local results in constant dnf complaints about its local repo
Summary: Installing python3-dnf-plugins-extras-local results in constant dnf complaint...
Keywords:
Status: CLOSED DUPLICATE of bug 1209862
Alias: None
Product: Fedora
Classification: Fedora
Component: dnf-plugins-extras
Version: 24
Hardware: Unspecified
OS: Unspecified
medium
unspecified
Target Milestone: ---
Assignee: rpm-software-management
QA Contact: Fedora Extras Quality Assurance
URL:
Whiteboard:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2016-07-19 16:07 UTC by Chris Siebenmann
Modified: 2016-11-30 10:57 UTC (History)
6 users (show)

Fixed In Version:
Doc Type: If docs needed, set a value
Doc Text:
Clone Of:
Environment:
Last Closed: 2016-11-30 10:57:13 UTC


Attachments (Terms of Use)

Description Chris Siebenmann 2016-07-19 16:07:16 UTC
Description of problem:

If you install the DNF 'local' plugin and then fix bug 1236747 by manually
mkdir'ing /var/lib/dnf/plugins/local, DNF will now save copies of your RPMs
as you want but most DNF operations will report the error:

    Failed to synchronize cache for repo '_dnf_local', disabling.

This is essentially the Fedora 24 version of bug 1209862, which has just been
closed as EOL on Fedora 22.

Version-Release number of selected component (if applicable):
python3-dnf-plugins-extras-local-0.0.12-3.fc24.noarch
dnf-1.1.9-2.fc24.noarch

How reproducible:
Totally.

Steps to Reproduce:
1. dnf install python3-dnf-plugins-extras-local
2. mkdir /var/lib/dnf/plugins/local
3. dnf install <some package>

Actual results:

dnf reports:

    Failed to synchronize cache for repo '_dnf_local', disabling.

Expected results:

dnf doesn't report any errors or warnings.

Additional info:

Running 'createrepo_c /var/lib/dnf/plugins/local' appears to fix the
problem but I have no idea what side effects it has.

Perhaps this will be fixed with the proper fix to bug 1236747, but
I have no idea how this stuff is supposed to be done and this whole
area has been neglected for a year. I'm refiling this bug so that it
doesn't get forgotten; the local plugin is important since Fedora update
packages do periodically have bugs and the repos purge old versions
quite fast.

Comment 1 Fedora Admin XMLRPC Client 2016-07-21 12:41:14 UTC
This package has changed ownership in the Fedora Package Database.  Reassigning to the new owner of this component.

Comment 2 Igor Gnatenko 2016-11-30 10:57:13 UTC

*** This bug has been marked as a duplicate of bug 1209862 ***


Note You need to log in before you can comment on or make changes to this bug.